# $Revision: 1.27 $, $Date: 2005/11/24 05:27:38 $
%define		zope_subname CMF
Summary:	Content Management Framework for Zope
Summary(pl):	rodowisko zarzdzania treci dla Zope
Name:		Zope-%{zope_subname}
Version:	1.5.5
Release:	1
Epoch:		1
License:	Zope Public License (ZPL)
Group:		Networking/Daemons
Source0:	http://zope.org/Products/CMF/%{zope_subname}-%{version}/%{zope_subname}-%{version}.tar.gz
# Source0-md5:	301bf1cccefc1769614acf0fb3ba982c
URL:		http://cmf.zope.org/
BuildRequires:	python
%pyrequires_eq	python-modules
Requires:	Zope >= 2.7.7
Requires(post,postun):	/usr/sbin/installzopeproduct
Obsoletes:	CMF
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Content Management Framework (CMF) for Zope from Zope Corporation
delivers a powerful, tailored CMS in a fraction of the time of big
vendors.

%description -l pl
CMF to Content Management Framework, czyli rodowisko zarzdzania
treci dla Zope. Dostarcza w krtkim czasie potny, dopasowany
system zarzdzania treci dla duych producentw.

%prep
%setup -q -n %{zope_subname}-%{version}

%build
#mkdir docs
mkdir docs/CMFActionIcons docs/CMFCalendar docs/CMFCore docs/CMFDefault docs/CMFSetup docs/CMFTopic docs/DCWorkflow
mv -f CMFActionIcons/README.txt docs/CMFActionIcons
mv -f {CHANGES.txt,HISTORY.txt,INSTALL*,README.txt} docs/
mv -f CMFCalendar/{INSTALL.txt,README.txt,TODO.txt,CREDITS.txt} docs/CMFCalendar
mv -f CMFCore/README.txt docs/CMFCore
mv -f CMFDefault/README.txt docs/CMFDefault
mv -f CMFSetup/{CREDITS.txt,README.txt} docs/CMFSetup
mv -f CMFTopic/README.txt docs/CMFTopic
mv -f DCWorkflow/{README.txt,CHANGES.txt} docs/DCWorkflow

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af {CMFActionIcons,CMFCalendar,CMFCore,CMFDefault,CMFSetup,CMFTopic,CMFUid,DCWorkflow} $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/docs

%clean
rm -rf $RPM_BUILD_ROOT

%post
for p in CMFActionIcons CMFCalendar CMFCore CMFDefault CMFSetup CMFTopic CMFUid DCWorkflow ; do
	/usr/sbin/installzopeproduct %{_datadir}/%{name}/$p
done
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	for p in CMFActionIcons CMFCalendar CMFCore CMFDefault CMFSetup CMFTopic CMFUid DCWorkflow ; do
		/usr/sbin/installzopeproduct -d $p
	done
fi
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%files
%defattr(644,root,root,755)
%doc docs/*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-CMF.spec,v $
Revision 1.27  2005/11/24 05:27:38  ciesiel
- upgraded to version 1.5.5

Revision 1.26  2005/10/08 16:11:39  ciesiel
- upgraded to version 1.5.4

Revision 1.25  2005/01/13 06:39:54  ankry
- spaces -> tabs

Revision 1.24  2005/01/12 21:11:06  ciesiel
- added BR: python

Revision 1.23  2005/01/05 09:23:56  havner
- rel 2

Revision 1.22  2005/01/04 19:31:10  ciesiel
- downgrade to version 1.4.7; epoch 1 for downgrade main AC

Revision 1.21  2004/12/25 12:30:19  saq
- relesae 2 for rebuild with python 2.4

Revision 1.20  2004/10/29 14:31:47  ciesiel
- upgraded to version 1.5.0
- WARNING: this product not working correctly with Zope-CMFPlone 2.0.4

Revision 1.19  2004/09/02 17:39:07  ciesiel
- md5 (eh...)

Revision 1.18  2004/09/02 16:18:18  darekr
- reverted to 1.4.7

Revision 1.17  2004/08/31 17:10:33  darekr
- updated to 1.5.0beta

Revision 1.16  2004/08/12 08:20:10  ciesiel
- upgraded to version 1.4.7 (security fix)

Revision 1.15  2004/08/08 08:44:50  ciesiel
- upgraded to version 1.4.6

Revision 1.14  2004/07/28 08:03:20  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.13  2004/07/09 15:49:57  ciesiel
- upgraded to version 1.4.5

Revision 1.12  2004/05/17 14:47:57  ciesiel
- upgraded to version 1.4.4

Revision 1.11  2004/04/04 16:22:29  adamg
- use dl.sourceforge.net in Source0 URL

Revision 1.10  2004/03/05 16:08:29  ciesiel
- upgraded to version 1.4.3rc1

Revision 1.9  2003/11/16 14:52:53  jajcus
- Obsoletes: CMF

Revision 1.8  2003/11/16 10:46:35  jajcus
Requires(post,postun)

Revision 1.7  2003/11/16 09:43:59  jajcus
- %files simplified
- do not uninstall products after package upgrade

Revision 1.6  2003/11/15 22:27:31  ciesiel
- fixed buildroot

Revision 1.5  2003/11/15 15:23:15  jajcus
- CMF is not one product

Revision 1.4  2003/11/15 15:09:31  jajcus
- changed not to install in /usr/lib/zope and to use 'installzopeproduct'

Revision 1.3  2003/11/15 14:30:00  ciesiel
- adapted to new name

Revision 1.2  2003/11/15 13:57:56  ciesiel
- renamed spec

Revision 1.14  2003/10/28 08:47:21  ciesiel
- cosmetics

Revision 1.13  2003/10/28 08:37:15  ciesiel
- upgraded to hotfix 1.4.2

Revision 1.12  2003/09/27 16:27:09  ciesiel
- added LICENCE.txt

Revision 1.11  2003/09/26 19:38:31  ciesiel
- .py needed by package - thanks matkor :)

Revision 1.10  2003/08/22 10:01:17  qboosh
- improved pl description, cleanup

Revision 1.9  2003/08/08 10:42:43  ciesiel
- upgraded to 1.4 version

Revision 1.8  2003/08/06 16:47:48  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.7  2003/07/30 10:28:19  ciesiel
- compiled .py & cleanup

Revision 1.6  2003/07/26 23:50:33  ciesiel
- moved left docs to documentation directory

Revision 1.5  2003/07/21 17:46:46  ciesiel
- moved ln to %install section

Revision 1.4  2003/07/19 21:13:07  ciesiel
- and yet another directory destination :-)

Revision 1.3  2003/07/19 08:50:45  ciesiel
- yet another destination directory

Revision 1.2  2003/07/18 08:37:09  ciesiel
- changed destination directory

Revision 1.1  2003/07/17 22:13:24  ciesiel
- initial release
